<section class='<?php 
echo esc_attr( $module_classes );
?>' id="<?php 
echo esc_attr( $this->module_id( false ) );
?>">
	<?php 
if ( $type == 'simple' ) {
    ?>
		<ol class='instructions_container'>
			<?php 
    foreach ( $instructions['raw'] as $iter => $instruction ) {
        ?>
				<?php 
        echo $this->container['recipe_view']->instruction_step(
            $instruction,
            $recipe,
            $props,
            $iter,
            ''
        );
        // phpcs:ignore
        ?>
			<?php 
    }
    ?>
		</ol>
	<?php 
}
?>


	<?php 
if ( $type == 'grouped' ) {
    ?>
		<ol class='instructions_container'>
			<?php 
    foreach ( $instructions['raw'] as $instruction_group ) {
        ?>
				<<?php 
        echo $props['instruction_group_name_level'];
        // phpcs:ignore
        ?> class="instruction-group-name"><?php 
        echo $instruction_group['name'];
        ?></<?php 
        echo $props['instruction_group_name_level'];
        ?>>
				<ol class='instructions_container'>
					<?php 
        foreach ( $instruction_group['steps'] as $iter => $instruction ) {
            ?>
						<?php 
            echo $this->container['recipe_view']->instruction_step(
                $instruction,
                $recipe,
                $props,
                $iter,
                $instruction_group['name']
            );
            // phpcs:ignore
            ?>
					<?php 
        }
        ?>
				</ol>
			<?php 
    }
    ?>
		</ol>
	<?php 
}
?>

<?php 
?>
</section>
